--- ./KTp/Logger/plugins/tplogger/pending-tp-logger-logs.cpp.orig	2014-07-15 21:28:36.000000000 +0200
+++ ./KTp/Logger/plugins/tplogger/pending-tp-logger-logs.cpp	2014-07-15 21:29:37.000000000 +0200
@@ -19,6 +19,7 @@
 
 #include "pending-tp-logger-logs.h"
 #include "utils.h"
+#include <kdebug.h>
 
 #include <TelepathyQt/Contact>
 #include <TelepathyLoggerQt4/LogManager>
@@ -60,6 +61,16 @@
     QList<KTp::LogMessage> logs;
     Q_FOREACH (const Tpl::EventPtr &event, events) {
         const Tpl::TextEventPtr textEvent = event.dynamicCast<Tpl::TextEvent>();
+
+        if (textEvent.isNull())
+        {
+            kDebug() << "Received a null TextEvent.";
+            continue;
+        }
+        
+            
+
+
         logs << KTp::LogMessage(Utils::fromTplEntity(event->sender()),
                                 account(), event->timestamp(), textEvent->message(),
                                 textEvent->messageToken());
